# unsatfit

unsatfit is a Python library for optimizing parameters of functions of soil hydraulic properties; water retention function and unsaturated hydraulic conductivity function). Model formulation is explained in Seki et al. (2022).

## Document

See [document](https://sekika.github.io/unsatfit/) for detail.

## Example output

This is an example output of this program; water retention curve (top) and hydraulic conductivity curve (bottom) of Gilat loam fitted with KBC (KO<sub>1</sub>BC<sub>2</sub>-CH) model.

![KBC](https://sekika.github.io/unsatfit/sample/KBC.png "KBC")

## SWRC Fit

SWRC Fit is a web interface which uses unsatfit and determines parameters for water retention function.

- [SWRC Fit](https://seki.webmasters.gr.jp/swrc/)

## Reference

* Seki, K., Toride, N., & Th. van Genuchten, M. (2022) Closed-form hydraulic conductivity equations for multimodal unsaturated soil hydraulic properties. Vadose Zone J. 21; e20168. https://doi.org/10.1002/vzj2.20168
